For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetSmartQueueRealtimeMetrics
        • POSTGetSmartQueueDayHistory
        • POSTRequestSmartQueueHistory
        • POSTGetSQState
        • POSTSQ_SetAgentCustomStatusMapping
        • POSTSQ_GetAgentCustomStatusMapping
        • POSTSQ_DeleteAgentCustomStatusMapping
        • POSTSQ_AddQueue
        • POSTSQ_SetQueueInfo
        • POSTSQ_DelQueue
        • POSTSQ_GetQueues
        • POSTSQ_AddSkill
        • POSTSQ_DelSkill
        • POSTSQ_SetSkillInfo
        • POSTSQ_BindSkill
        • POSTSQ_UnbindSkill
        • POSTSQ_GetSkills
        • POSTSQ_BindAgent
        • POSTSQ_UnbindAgent
        • POSTSQ_GetAgents
        • POSTSQ_SetAgentInfo
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSmartQueue

SQ_SetQueueInfo

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SQ_SetQueueInfo
POST
/platform_api/SQ_SetQueueInfo
$curl -X POST "https://api.voximplant.com/platform_api/SQ_SetQueueInfo?application_id=12345&sq_queue_id=1&new_sq_queue_name=Customer%20Support%20Queue&hold_im_if_inactive_agents=true&hold_calls_if_inactive_agents=false&call_agent_selection=MOST_QUALIFIED&im_agent_selection=MAX_WAITING_TIME&call_task_selection=MAX_PRIORITY&im_task_selection=MAX_WAITING_TIME&description=Queue%20for%20handling%20customer%20support%20calls%20and%20messages&call_max_waiting_time=30&im_max_waiting_time=45&call_max_queue_size=500&im_max_queue_size=300&priority=20&call_max_waiting_time_in_seconds=1800&im_max_waiting_time_in_seconds=2700" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}

Edits an existing queue.

Allowed roles: Owner, Admin, Developer.

Example request: Edit the queue with id = 1.

Was this page helpful?
Previous

SQ_AddQueue

Next

SQ_DelQueue

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

application_idintegerRequired
Application ID to search by
application_namestringOptional

Application name to search by. Can be used instead of application_id

hold_im_if_inactive_agentsbooleanOptional
Whether to add the task to the queue if there are no available agents
sq_queue_idintegerRequired
ID of the SmartQueue to search for
sq_queue_namestringOptional

Name of the SmartQueue to search for. Can be used instead of sq_queue_id

hold_calls_if_inactive_agentsbooleanOptionalDefaults to false

Whether to keep the call task in the queue if all agents are in the DND/BANNED/OFFLINE statuses.

new_sq_queue_namestringOptional
New SmartQueue name within the application, up to 100 characters
call_agent_selectionstringOptional

Agent selection strategy for calls. Accepts one of the following values: “MOST_QUALIFIED”, “LEAST_QUALIFIED”, “MAX_WAITING_TIME”

im_agent_selectionstringOptional

Agent selection strategy for messages. Accepts one of the following values: “MOST_QUALIFIED”, “LEAST_QUALIFIED”, “MAX_WAITING_TIME”. The default value is call_agent_selection

call_task_selectionstringOptional

Strategy of prioritizing CALL-type requests for service. Accepts one of the following values: “MAX_PRIORITY”, “MAX_WAITING_TIME”

im_task_selectionstringOptional

Strategy of prioritizing IM-type requests for service. Accepts one of the following values: “MAX_PRIORITY”, “MAX_WAITING_TIME”. The default value is call_task_selection

descriptionstringOptional
Comment, up to 200 characters
call_max_waiting_timeintegerOptionalDefaults to 120

Maximum time in minutes that a CALL-type request can remain in the queue without being assigned to an agent. Specify either this parameter or call_max_waiting_time_in_seconds. Specifying both parameters simultaniously leads to an error

im_max_waiting_timeintegerOptionalDefaults to 120

Maximum time in minutes that an IM-type request can remain in the queue without being assigned to an agent. Specify either this parameter or im_max_waiting_time_in_seconds. Specifying both parameters simultaniously leads to an error

call_max_queue_sizeintegerOptionalDefaults to 1000

Maximum size of the queue with CALL-type requests

im_max_queue_sizeintegerOptionalDefaults to 1000

Maximum size of the queue with IM-type requests

priorityintegerOptionalDefaults to 10
The queue's priority from 1 to 100
call_max_waiting_time_in_secondsintegerOptional

Maximum call waiting time in seconds. Specify either this parameter or call_max_waiting_time. Specifying both parameters simultaniously leads to an error

im_max_waiting_time_in_secondsintegerOptional

Maximum chat message waiting time in seconds. Specify either this parameter or im_max_waiting_time. Specifying both parameters simultaniously leads to an error

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.